## nuspell 3.0.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.8)
project(nuspell VERSION 3.0.0)
set(PROJECT_HOMEPAGE_URL "https://nuspell.github.io/")

include(GNUInstallDirs)
include(CMakePackageConfigHelpers)

find_package(ICU REQUIRED COMPONENTS uc data)
find_package(Boost 1.62.0 REQUIRED COMPONENTS locale)

get_directory_property(subproject PARENT_DIRECTORY)

add_subdirectory(src/nuspell)

if (subproject)
    # if added as subproject just build Nuspell
    # no need to test, build docs or install
    return()
endif()

add_subdirectory(docs)

option(BUILD_TESTING "Build the testing tree." ON)
if (BUILD_TESTING)
    enable_testing()
    find_package(Catch2 2.3.0 QUIET)
    if(NOT Catch2_FOUND)
        find_package(Git)
        execute_process(
            COMMAND ${GIT_EXECUTABLE} submodule update --init -- Catch2
            WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/external
            RESULT_VARIABLE git_submodule_error
            ERROR_QUIET)
        if (NOT git_submodule_error)
            add_subdirectory(external/Catch2)
            list(APPEND CMAKE_MODULE_PATH
                "${PROJECT_SOURCE_DIR}/external/Catch2/contrib")
        endif()
    endif()
    if (NOT git_submodule_error)
        add_subdirectory(src/hunspell)
        add_subdirectory(tests)
    else()
        message(WARNING "Can not pull Catch2 submodule, tests will be disabled")
    endif()
endif()


#set(pkgconf_public_libs "")
set(pkgconf_public_requires icu-uc)
configure_file(nuspell.pc.in nuspell.pc @ONLY)
#configure_file(NuspellConfig.cmake NuspellConfig.cmake COPYONLY)
write_basic_package_version_file(NuspellConfigVersion.cmake
    COMPATIBILITY AnyNewerVersion)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/nuspell.pc
    DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/NuspellConfig.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/NuspellConfigVersion.cmake
    DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/nuspell)
install(FILES README.md DESTINATION ${CMAKE_INSTALL_DOCDIR})

=== tests/CMakeLists.txt ===
add_executable(unit_test
    aff_data_test.cxx
    dictionary_test.cxx
    structures_test.cxx
    utils_test.cxx
    catch_main.cxx)
target_link_libraries(unit_test nuspell Catch2::Catch2)
if (MSVC)
    target_compile_options(unit_test PRIVATE "/utf-8")
    # Consider doing this for all the other targets by setting this flag
    # globally for MSVC. ATM we use unicode string literals only in the tests.
endif()

add_executable(legacy_test legacy_test.cxx)
target_link_libraries(legacy_test nuspell)

add_executable(verify verify.cxx)
target_link_libraries(verify nuspell hunspell Boost::locale)

if (BUILD_SHARED_LIBS AND WIN32)
    add_custom_command(TARGET unit_test POST_BUILD
    COMMAND ${CMAKE_COMMAND} -E copy_if_different
            $<TARGET_FILE:nuspell> $<TARGET_FILE_DIR:unit_test>)
endif()

include(Catch)
catch_discover_tests(unit_test)

file(GLOB v1tests
    RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}/v1cmdline
    "v1cmdline/*.dic"
    "v1cmdline/*.sug")
foreach(t ${v1tests})
    add_test(
        NAME ${t}
        COMMAND legacy_test ${CMAKE_CURRENT_SOURCE_DIR}/v1cmdline/${t})
endforeach()

set_tests_properties(
allcaps.dic
allcaps2.dic
allcaps_utf.dic
base_utf.dic
nepali.dic
1463589.sug
1463589_utf.sug
allcaps.sug
allcaps2.sug
allcaps_utf.sug
base.sug
base_utf.sug
breakdefault.sug
checksharps.sug
checksharpsutf.sug
forceucase.sug
i35725.sug
i54633.sug
i58202.sug
keepcase.sug
nosuggest.sug
oconv.sug
opentaal_keepcase.sug
phone.sug
sug.sug
sugutf.sug
utf8_nonbmp.sug

PROPERTIES WILL_FAIL TRUE)

=== src/hunspell/CMakeLists.txt ===
add_library(hunspell STATIC affentry.cxx affentry.hxx affixmgr.cxx affixmgr.hxx
    atypes.hxx baseaffix.hxx csutil.cxx csutil.hxx
    filemgr.cxx filemgr.hxx hashmgr.cxx hashmgr.hxx
    htypes.hxx hunspell.cxx hunspell.h hunspell.hxx
    hunzip.cxx hunzip.hxx langnum.hxx hunvisapi.h
    phonet.cxx phonet.hxx replist.cxx replist.hxx
    suggestmgr.cxx suggestmgr.hxx utf_info.hxx w_char.hxx)
target_compile_definitions(hunspell PUBLIC HUNSPELL_STATIC)
target_include_directories(hunspell INTERFACE ${PROJECT_SOURCE_DIR}/src)

=== debian/changelog ===
nuspell (3.0.0-2) unstable; urgency=medium

  * source upload
  * rebuild against new boost version (Closes: #970600)
    (for the impatient Axel)
  * debian/control: fix spelling in long description (Closes: #970441)
    Thanks to Jonas for finding this.

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 19 Sep 2020 18:53:25 +0200

nuspell (3.0.0-1) unstable; urgency=medium

  [ Pander ]
  * Initial packaging (Closes: #925921)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 01 Mar 2020 18:53:25 +0100

=== debian/control ===
Source: nuspell
Priority: optional
Maintainer: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper
	, debhelper-compat (= 12)
	, cmake
	, ronn
	, libboost-locale-dev
	, libicu-dev
Standards-Version: 4.5.0
Section: text
Homepage: http://nuspell.github.io/
Vcs-Browser: https://salsa.debian.org/alteholz/nuspell
Vcs-Git: https://salsa.debian.org/alteholz/nuspell.git

Package: libnuspell-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
	, libnuspell3 (= ${binary:Version})
	, libicu-dev
	, libboost-dev
Multi-Arch: same
Description: spell checker (development)
 Nuspell is a free and open source spell checker that is written in modern C++.
 It is designed for languages with rich morphology and complex word compounding.
 .
 Main features are:
  - Full unicode support backed by ICU
  - Backward compatibility with Hunspell dictionary file format
  - Twofold affix stripping (for agglutinative languages, like Azeri,
    Basque, Estonian, Finnish, Hungarian, Turkish, etc.)
  - Support complex compounds (for example, Hungarian, German and Dutch)
  - Support language specific features (for example, special casing of
    Azeri and Turkish dotted i, or German sharp s)
  - Handle conditional affixes, circumfixes, fogemorphemes, forbidden
    words, pseudoroots and homonyms.
 .
 This package contains the development files.

Package: libnuspell3
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: hunspell-en-us
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Description: spell checker (shared library)
 Nuspell is a free and open source spell checker that is written in modern C++.
 It is designed for languages with rich morphology and complex word compounding.
 .
 Main features are:
  - Full unicode support backed by ICU
  - Backward compatibility with Hunspell dictionary file format
  - Twofold affix stripping (for agglutinative languages, like Azeri,
    Basque, Estonian, Finnish, Hungarian, Turkish, etc.)
  - Support complex compounds (for example, Hungarian, German and Dutch)
  - Support language specific features (for example, special casing of
    Azeri and Turkish dotted i, or German sharp s)
  - Handle conditional affixes, circumfixes, fogemorphemes, forbidden
    words, pseudoroots and homonyms.
 .
 This package contains the shared library.

Package: nuspell
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: foreign
Description: spell checker (program)
 Nuspell is a free and open source spell checker that is written in modern C++.
 It is designed for languages with rich morphology and complex word compounding.
 .
 Main features are:
  - Full unicode support backed by ICU
  - Backward compatibility with Hunspell dictionary file format
  - Twofold affix stripping (for agglutinative languages, like Azeri,
    Basque, Estonian, Finnish, Hungarian, Turkish, etc.)
  - Support complex compounds (for example, Hungarian, German and Dutch)
  - Support language specific features (for example, special casing of
    Azeri and Turkish dotted i, or German sharp s)
  - Handle conditional affixes, circumfixes, fogemorphemes, forbidden
    words, pseudoroots and homonyms.
 .
 This package contains the command-line program.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%nuspell-$1.tar.gz%" \
    https://github.com/nuspell/nuspell/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## nuspell 4.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.8)
project(nuspell VERSION 4.1.0)
set(PROJECT_HOMEPAGE_URL "https://nuspell.github.io/")

option(BUILD_SHARED_LIBS "Buils as shared library" ON)

include(GNUInstallDirs)
include(CMakePackageConfigHelpers)

find_package(ICU REQUIRED COMPONENTS uc data)
find_package(Boost 1.48.0 REQUIRED COMPONENTS locale)

get_directory_property(subproject PARENT_DIRECTORY)

add_subdirectory(src/nuspell)

if (subproject)
    # if added as subproject just build Nuspell
    # no need to test, build docs or install
    return()
endif()

add_subdirectory(docs)

function(find_catch2_from_source)
    set(Catch2_FOUND Catch2-NOTFOUND PARENT_SCOPE)
    set(catch_cmake_lists ${PROJECT_SOURCE_DIR}/external/Catch2/CMakeLists.txt)
    if (NOT EXISTS ${catch_cmake_lists})
        find_package(Git)
        if (NOT Git_FOUND)
            return()
        endif()
        execute_process(
            COMMAND ${GIT_EXECUTABLE} submodule update --init -- Catch2
            WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}/external
            RESULT_VARIABLE git_submodule_error
            ERROR_QUIET)
        if (git_submodule_error OR NOT EXISTS ${catch_cmake_lists})
            return()
        endif()
    endif()
    add_subdirectory(external/Catch2)
    list(APPEND CMAKE_MODULE_PATH
         ${PROJECT_SOURCE_DIR}/external/Catch2/contrib)
    set(CMAKE_MODULE_PATH "${CMAKE_MODULE_PATH}" PARENT_SCOPE)
    set(Catch2_FOUND 1 PARENT_SCOPE)
endfunction()

option(BUILD_TESTING "Build the testing tree." ON)
if (BUILD_TESTING)
    enable_testing()
    find_package(Catch2 2.3.0 QUIET)
    if (NOT Catch2_FOUND)
        find_catch2_from_source()
    endif()
    if (Catch2_FOUND)
        add_subdirectory(external/hunspell/hunspell)
        add_subdirectory(tests)
    else()
        message(WARNING "Can not find Catch2, tests will be disabled")
    endif()
endif()


#set(pkgconf_public_libs "")
set(pkgconf_public_requires icu-uc)
configure_file(nuspell.pc.in nuspell.pc @ONLY)
#configure_file(NuspellConfig.cmake NuspellConfig.cmake COPYONLY)
write_basic_package_version_file(NuspellConfigVersion.cmake
    COMPATIBILITY AnyNewerVersion)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/nuspell.pc
    DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/NuspellConfig.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/NuspellConfigVersion.cmake
    DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/nuspell)
install(FILES README.md DESTINATION ${CMAKE_INSTALL_DOCDIR})

=== tests/CMakeLists.txt ===
add_executable(unit_test
    aff_data_test.cxx
    dictionary_test.cxx
    structures_test.cxx
    utils_test.cxx
    catch_main.cxx)
target_link_libraries(unit_test nuspell Catch2::Catch2 Boost::locale)
if (MSVC)
    target_compile_options(unit_test PRIVATE "/utf-8")
    # Consider doing this for all the other targets by setting this flag
    # globally for MSVC. ATM we use unicode string literals only in the tests.
endif()

add_executable(legacy_test legacy_test.cxx)
target_link_libraries(legacy_test nuspell)

add_executable(verify verify.cxx)
target_link_libraries(verify nuspell hunspell Boost::locale)

if (BUILD_SHARED_LIBS AND WIN32)
    add_custom_command(TARGET verify PRE_LINK
    COMMAND ${CMAKE_COMMAND} -E copy_if_different $<TARGET_FILE:nuspell>
    $<TARGET_FILE:hunspell> $<TARGET_FILE_DIR:unit_test>)
endif()

include(Catch)
catch_discover_tests(unit_test)

file(GLOB v1tests
    RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}/v1cmdline
    "v1cmdline/*.dic"
    "v1cmdline/*.sug")
foreach(t ${v1tests})
    add_test(
        NAME ${t}
        COMMAND legacy_test ${CMAKE_CURRENT_SOURCE_DIR}/v1cmdline/${t})
endforeach()

set_tests_properties(
base_utf.dic
nepali.dic
checksharps.sug
checksharpsutf.sug
nosuggest.sug
phone.sug
utf8_nonbmp.sug

PROPERTIES WILL_FAIL TRUE)

=== src/nuspell/CMakeLists.txt ===
add_library(nuspell
aff_data.cxx     aff_data.hxx
dictionary.cxx   dictionary.hxx
finder.cxx       finder.hxx
utils.cxx        utils.hxx
                 structures.hxx)

add_library(Nuspell::nuspell ALIAS nuspell)

include(GenerateExportHeader)
generate_export_header(nuspell)

set(nuspell_headers aff_data.hxx dictionary.hxx finder.hxx structures.hxx
    ${CMAKE_CURRENT_BINARY_DIR}/nuspell_export.h)
set_target_properties(nuspell PROPERTIES
    PUBLIC_HEADER "${nuspell_headers}"
    VERSION ${PROJECT_VERSION}
    SOVERSION ${PROJECT_VERSION_MAJOR}
    CXX_VISIBILITY_PRESET hidden)

target_compile_features(nuspell PUBLIC cxx_std_17)

target_include_directories(nuspell
    PUBLIC $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>
    INTERFACE $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/src>
              $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>)

target_link_libraries(nuspell PUBLIC ICU::uc ICU::data)

add_executable(nuspell-bin main.cxx)
set_target_properties(nuspell-bin PROPERTIES
    RUNTIME_OUTPUT_DIRECTORY ../tools
    RUNTIME_OUTPUT_NAME nuspell)
target_compile_definitions(nuspell-bin PRIVATE
    PROJECT_VERSION=\"${PROJECT_VERSION}\")
target_link_libraries(nuspell-bin nuspell Boost::locale)
if (BUILD_SHARED_LIBS AND WIN32)
    # This should be PRE_LINK (or PRE_BUILD), so Vcpkg's POST_BUILD
    # step (see VCPKG_APPLOCAL_DEPS) that copies dll can pick up nuspell.dll
    # inside the folder ../tools.
    add_custom_command(TARGET nuspell-bin PRE_LINK
    COMMAND ${CMAKE_COMMAND} -E copy_if_different
            $<TARGET_FILE:nuspell> $<TARGET_FILE_DIR:nuspell-bin>)
endif()

if (NOT subproject)
    install(TARGETS nuspell
        EXPORT NuspellTargets
        ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
        LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
        RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
        PUBLIC_HEADER DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/nuspell)
    install(EXPORT NuspellTargets
        DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/nuspell
        NAMESPACE Nuspell::)
    install(TARGETS nuspell-bin DESTINATION ${CMAKE_INSTALL_BINDIR})
endif()

=== debian/changelog ===
nuspell (4.1.0-1) unstable; urgency=medium

  * New upstream release
  * update debian/copyright
  * debian/control: use dh13

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 03 Dec 2020 19:03:41 +0000

## nuspell 4.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,14 +1,13 @@
 cmake_minimum_required(VERSION 3.8)
-project(nuspell VERSION 4.1.0)
+project(nuspell VERSION 4.2.0)
 set(PROJECT_HOMEPAGE_URL "https://nuspell.github.io/")
 
-option(BUILD_SHARED_LIBS "Buils as shared library" ON)
+option(BUILD_SHARED_LIBS "Build as shared library" ON)
 
 include(GNUInstallDirs)
 include(CMakePackageConfigHelpers)
 
 find_package(ICU REQUIRED COMPONENTS uc data)
-find_package(Boost 1.48.0 REQUIRED COMPONENTS locale)
 
 get_directory_property(subproject PARENT_DIRECTORY)

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
     structures_test.cxx
     utils_test.cxx
     catch_main.cxx)
-target_link_libraries(unit_test nuspell Catch2::Catch2 Boost::locale)
+target_link_libraries(unit_test nuspell Catch2::Catch2)
 if (MSVC)
     target_compile_options(unit_test PRIVATE "/utf-8")
     # Consider doing this for all the other targets by setting this flag
@@ -15,7 +15,7 @@
 target_link_libraries(legacy_test nuspell)
 
 add_executable(verify verify.cxx)
-target_link_libraries(verify nuspell hunspell Boost::locale)
+target_link_libraries(verify nuspell hunspell)
 
 if (BUILD_SHARED_LIBS AND WIN32)
     add_custom_command(TARGET verify PRE_LINK

=== src/nuspell/CMakeLists.txt ===
--- 
+++ 
@@ -33,7 +33,7 @@
     RUNTIME_OUTPUT_NAME nuspell)
 target_compile_definitions(nuspell-bin PRIVATE
     PROJECT_VERSION=\"${PROJECT_VERSION}\")
-target_link_libraries(nuspell-bin nuspell Boost::locale)
+target_link_libraries(nuspell-bin nuspell)
 if (BUILD_SHARED_LIBS AND WIN32)
     # This should be PRE_LINK (or PRE_BUILD), so Vcpkg's POST_BUILD
     # step (see VCPKG_APPLOCAL_DEPS) that copies dll can pick up nuspell.dll

=== debian/changelog ===
nuspell (4.2.0-1) unstable; urgency=medium

  * New upstream release

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 17 Dec 2020 23:32:51 +0000

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Priority: optional
 Maintainer: Thorsten Alteholz <debian@alteholz.de>
 Build-Depends: debhelper
-	, debhelper-compat (= 12)
+	, debhelper-compat (= 13)
 	, cmake
 	, ronn
 	, libboost-locale-dev
 	, libicu-dev
+	, pandoc
 Standards-Version: 4.5.0
 Section: text
 Homepage: http://nuspell.github.io/
@@ -17,7 +18,7 @@
 Section: libdevel
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-	, libnuspell3 (= ${binary:Version})
+	, libnuspell4 (= ${binary:Version})
 	, libicu-dev
 	, libboost-dev
 Multi-Arch: same
@@ -38,7 +39,7 @@
  .
  This package contains the development files.
 
-Package: libnuspell3
+Package: libnuspell4
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# test directory is not yet part of the release tarball and shall be
# downloaded by git, this is not possible on buildds, so deactivate
# tests
CMAKE_FLAGS = \
	-DBUILD_SHARED_LIBS=ON \
	-DBUILD_TESTING=OFF

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- $(CMAKE_FLAGS)

## nuspell 5.0.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.8)
-project(nuspell VERSION 4.2.0)
+project(nuspell VERSION 5.0.0)
 set(PROJECT_HOMEPAGE_URL "https://nuspell.github.io/")
 
 option(BUILD_SHARED_LIBS "Build as shared library" ON)
@@ -7,7 +7,7 @@
 include(GNUInstallDirs)
 include(CMakePackageConfigHelpers)
 
-find_package(ICU REQUIRED COMPONENTS uc data)
+find_package(ICU 59 REQUIRED COMPONENTS uc data)
 
 get_directory_property(subproject PARENT_DIRECTORY)

=== docs/CMakeLists.txt ===
find_program(PANDOC_EXECUTABLE pandoc)

if (NOT PANDOC_EXECUTABLE)
    message(WARNING "Pandoc not found, generating man-pages will be skipped")
    return()
endif()

add_custom_command(OUTPUT nuspell.1
    COMMAND
        ${PANDOC_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/nuspell.1.md
        -t man -M "footer:Nuspell ${PROJECT_VERSION}" -s -o nuspell.1
    MAIN_DEPENDENCY ${CMAKE_CURRENT_SOURCE_DIR}/nuspell.1.md
    COMMENT "Building manpage nuspell.1")
add_custom_target(nuspell-man-pages ALL DEPENDS nuspell.1)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/nuspell.1
        DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,4 @@
-add_executable(unit_test
-    aff_data_test.cxx
-    dictionary_test.cxx
-    structures_test.cxx
-    utils_test.cxx
-    catch_main.cxx)
+add_executable(unit_test unit_test.cxx catch_main.cxx)
 target_link_libraries(unit_test nuspell Catch2::Catch2)
 if (MSVC)
     target_compile_options(unit_test PRIVATE "/utf-8")
@@ -23,8 +18,7 @@
     $<TARGET_FILE:hunspell> $<TARGET_FILE_DIR:unit_test>)
 endif()
 
-include(Catch)
-catch_discover_tests(unit_test)
+add_test(NAME unit_test COMMAND unit_test)
 
 file(GLOB v1tests
     RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}/v1cmdline

=== src/nuspell/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,10 @@
 add_library(nuspell
 aff_data.cxx     aff_data.hxx
+checker.cxx      checker.hxx
+suggester.cxx    suggester.hxx
 dictionary.cxx   dictionary.hxx
 finder.cxx       finder.hxx
+                 unicode.hxx
 utils.cxx        utils.hxx
                  structures.hxx)
 
@@ -10,7 +13,8 @@
 include(GenerateExportHeader)
 generate_export_header(nuspell)
 
-set(nuspell_headers aff_data.hxx dictionary.hxx finder.hxx structures.hxx
+set(nuspell_headers aff_data.hxx checker.hxx suggester.hxx dictionary.hxx
+    finder.hxx structures.hxx unicode.hxx
     ${CMAKE_CURRENT_BINARY_DIR}/nuspell_export.h)
 set_target_properties(nuspell PROPERTIES
     PUBLIC_HEADER "${nuspell_headers}"

=== debian/changelog ===
nuspell (5.0.0-2build1) jammy; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 09 Feb 2022 05:41:39 +0100

nuspell (5.0.0-2) unstable; urgency=medium

  * upload to unstable
  * as catch2 is now available, enable testing again (Closes: #992497)
    thanks a lot to Dimitrij Mijoski for the suggestion and the patch

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 18 Aug 2021 23:31:47 +0200

nuspell (5.0.0-1) experimental; urgency=medium

  * New upstream release
  * debian/control: dependencies ronn and libboost* are no longer
                    needed (Closes: #990383)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 01 Aug 2021 12:00:22 +0200

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,10 @@
 Build-Depends: debhelper
 	, debhelper-compat (= 13)
 	, cmake
-	, ronn
-	, libboost-locale-dev
 	, libicu-dev
 	, pandoc
-Standards-Version: 4.5.0
+	, catch2
+Standards-Version: 4.5.1
 Section: text
 Homepage: http://nuspell.github.io/
 Vcs-Browser: https://salsa.debian.org/alteholz/nuspell
@@ -18,9 +17,8 @@
 Section: libdevel
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-	, libnuspell4 (= ${binary:Version})
+	, libnuspell5 (= ${binary:Version})
 	, libicu-dev
-	, libboost-dev
 Multi-Arch: same
 Description: spell checker (development)
  Nuspell is a free and open source spell checker that is written in modern C++.
@@ -39,7 +37,7 @@
  .
  This package contains the development files.
 
-Package: libnuspell4
+Package: libnuspell5
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}

## nuspell 5.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.8)
-project(nuspell VERSION 5.0.0)
+project(nuspell VERSION 5.1.0)
 set(PROJECT_HOMEPAGE_URL "https://nuspell.github.io/")
 
 option(BUILD_SHARED_LIBS "Build as shared library" ON)
@@ -7,19 +7,18 @@
 include(GNUInstallDirs)
 include(CMakePackageConfigHelpers)
 
-find_package(ICU 59 REQUIRED COMPONENTS uc data)
+find_package(ICU 60 REQUIRED COMPONENTS uc data)
 
 get_directory_property(subproject PARENT_DIRECTORY)
 
 add_subdirectory(src/nuspell)
+add_subdirectory(src/tools)
 
 if (subproject)
     # if added as subproject just build Nuspell
     # no need to test, build docs or install
     return()
 endif()
-
-add_subdirectory(docs)
 
 function(find_catch2_from_source)
     set(Catch2_FOUND Catch2-NOTFOUND PARENT_SCOPE)

=== src/nuspell/CMakeLists.txt ===
--- 
+++ 
@@ -31,22 +31,6 @@
 
 target_link_libraries(nuspell PUBLIC ICU::uc ICU::data)
 
-add_executable(nuspell-bin main.cxx)
-set_target_properties(nuspell-bin PROPERTIES
-    RUNTIME_OUTPUT_DIRECTORY ../tools
-    RUNTIME_OUTPUT_NAME nuspell)
-target_compile_definitions(nuspell-bin PRIVATE
-    PROJECT_VERSION=\"${PROJECT_VERSION}\")
-target_link_libraries(nuspell-bin nuspell)
-if (BUILD_SHARED_LIBS AND WIN32)
-    # This should be PRE_LINK (or PRE_BUILD), so Vcpkg's POST_BUILD
-    # step (see VCPKG_APPLOCAL_DEPS) that copies dll can pick up nuspell.dll
-    # inside the folder ../tools.
-    add_custom_command(TARGET nuspell-bin PRE_LINK
-    COMMAND ${CMAKE_COMMAND} -E copy_if_different
-            $<TARGET_FILE:nuspell> $<TARGET_FILE_DIR:nuspell-bin>)
-endif()
-
 if (NOT subproject)
     install(TARGETS nuspell
         EXPORT NuspellTargets
@@ -57,5 +41,4 @@
     install(EXPORT NuspellTargets
         DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/nuspell
         NAMESPACE Nuspell::)
-    install(TARGETS nuspell-bin DESTINATION ${CMAKE_INSTALL_BINDIR})
 endif()

=== debian/changelog ===
nuspell (5.1.0-1) unstable; urgency=medium

  * New upstream release. (Closes: #1006900)
  * debian/control: bump standard to 4.6.0 (no changes)
  * debian/control: there are no man pages available anymore
                    dependency on pandoc no longer needed

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 07 Mar 2022 22:51:09 +0100

## nuspell 5.1.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.8)
project(nuspell VERSION 5.1.2)
set(PROJECT_HOMEPAGE_URL "https://nuspell.github.io/")

option(BUILD_SHARED_LIBS "Build as shared library" ON)
option(BUILD_TESTING "Build the testing tree." ON)
option(BUILD_TOOLS "Build the CLI tool." ON)

include(GNUInstallDirs)
include(CMakePackageConfigHelpers)
find_package(ICU 60 REQUIRED COMPONENTS uc data)
get_directory_property(subproject PARENT_DIRECTORY)
add_subdirectory(src/nuspell)

if (MSVC AND (BUILD_TOOLS OR BUILD_TESTING))
	find_path(GETOPT_INCLUDE_DIR getopt.h)
	if (NOT GETOPT_INCLUDE_DIR)
		message(FATAL_ERROR "Can not find getopt.h")
	endif()
	find_library(GETOPT_LIBRARY getopt)
	if (NOT GETOPT_LIBRARY)
		message(FATAL_ERROR "Can not find library getopt")
	endif()
endif()
if (BUILD_TOOLS)
	add_subdirectory(src/tools)
endif()
if (subproject)
	# if added as subproject just build Nuspell
	# no need to test, build docs or install
	return()
endif()

function(find_catch2_from_source)
	set(Catch2_FOUND Catch2-NOTFOUND PARENT_SCOPE)
	set(catch_cmake_lists
		${PROJECT_SOURCE_DIR}/external/Catch2/CMakeLists.txt)
	if (NOT EXISTS ${catch_cmake_lists})
		find_package(Git)
		if (NOT Git_FOUND)
			return()
		endif()
		execute_process(
			COMMAND ${GIT_EXECUTABLE} submodule update --init Catch2
			WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}/external
			RESULT_VARIABLE git_submodule_error
			ERROR_QUIET)
		if (git_submodule_error OR NOT EXISTS ${catch_cmake_lists})
			return()
		endif()
	endif()
	add_subdirectory(external/Catch2)
	list(APPEND CMAKE_MODULE_PATH
		 ${PROJECT_SOURCE_DIR}/external/Catch2/contrib)
	set(CMAKE_MODULE_PATH "${CMAKE_MODULE_PATH}" PARENT_SCOPE)
	set(Catch2_FOUND 1 PARENT_SCOPE)
endfunction()

if (BUILD_TESTING)
	enable_testing()
	find_package(Catch2 2.3.0 QUIET)
	if (NOT Catch2_FOUND)
		find_catch2_from_source()
	endif()
	if (Catch2_FOUND)
		add_subdirectory(external/hunspell/hunspell)
		add_subdirectory(tests)
	else()
		message(WARNING "Can not find Catch2, tests will be disabled")
	endif()
endif()


#set(pkgconf_public_libs "")
set(pkgconf_public_requires icu-uc)
configure_file(nuspell.pc.in nuspell.pc @ONLY)
#configure_file(NuspellConfig.cmake NuspellConfig.cmake COPYONLY)
write_basic_package_version_file(NuspellConfigVersion.cmake
	COMPATIBILITY AnyNewerVersion)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/nuspell.pc
	DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/NuspellConfig.cmake
	${CMAKE_CURRENT_BINARY_DIR}/NuspellConfigVersion.cmake
	DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/nuspell)
install(FILES README.md DESTINATION ${CMAKE_INSTALL_DOCDIR})

=== tests/CMakeLists.txt ===
add_executable(unit_test unit_test.cxx catch_main.cxx)
target_link_libraries(unit_test PRIVATE nuspell Catch2::Catch2)
if (MSVC)
	target_compile_options(unit_test PRIVATE "/utf-8")
	# Consider doing this for all the other targets by setting this flag
	# globally for MSVC. ATM we use unicode string literals only here.
endif()

add_executable(legacy_test legacy_test.cxx)
target_link_libraries(legacy_test PRIVATE nuspell)

add_executable(verify verify.cxx)
target_link_libraries(verify PRIVATE nuspell hunspell)
if (MSVC)
	target_include_directories(verify PRIVATE ${GETOPT_INCLUDE_DIR})
	target_link_libraries(verify PRIVATE ${GETOPT_LIBRARY})
endif()

if (BUILD_SHARED_LIBS AND WIN32)
	add_custom_command(TARGET verify PRE_LINK
	COMMAND ${CMAKE_COMMAND} -E copy_if_different $<TARGET_FILE:nuspell>
	$<TARGET_FILE:hunspell> $<TARGET_FILE_DIR:unit_test>)
endif()

add_test(NAME unit_test COMMAND unit_test)

file(GLOB v1tests
	RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}/v1cmdline
	"v1cmdline/*.dic"
	"v1cmdline/*.sug")
foreach(t ${v1tests})
	add_test(
		NAME ${t}
		COMMAND legacy_test ${CMAKE_CURRENT_SOURCE_DIR}/v1cmdline/${t})
endforeach()

set_tests_properties(
base_utf.dic
nepali.dic
checksharps.sug
checksharpsutf.sug
nosuggest.sug
phone.sug
utf8_nonbmp.sug

PROPERTIES WILL_FAIL TRUE)

=== src/nuspell/CMakeLists.txt ===
add_library(nuspell
aff_data.cxx     aff_data.hxx
checker.cxx      checker.hxx
suggester.cxx    suggester.hxx
dictionary.cxx   dictionary.hxx
finder.cxx       finder.hxx
                 unicode.hxx
utils.cxx        utils.hxx
                 structures.hxx)

add_library(Nuspell::nuspell ALIAS nuspell)

include(GenerateExportHeader)
generate_export_header(nuspell)

set(nuspell_headers aff_data.hxx checker.hxx suggester.hxx dictionary.hxx
	finder.hxx structures.hxx unicode.hxx
	${CMAKE_CURRENT_BINARY_DIR}/nuspell_export.h)
set_target_properties(nuspell PROPERTIES
	PUBLIC_HEADER "${nuspell_headers}"
	VERSION ${PROJECT_VERSION}
	SOVERSION ${PROJECT_VERSION_MAJOR}
	CXX_VISIBILITY_PRESET hidden)

target_compile_features(nuspell PUBLIC cxx_std_17)

target_include_directories(nuspell
	PUBLIC $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>
	INTERFACE $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/src>
	          $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>)

target_link_libraries(nuspell PUBLIC ICU::uc ICU::data)

if (subproject)
	return()
endif()

install(TARGETS nuspell
	EXPORT NuspellTargets
	ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
	LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
	RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
	PUBLIC_HEADER DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/nuspell)
install(EXPORT NuspellTargets
	DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/nuspell
	NAMESPACE Nuspell::)

=== src/tools/CMakeLists.txt ===
add_executable(nuspell-exe nuspell.cxx)
set_target_properties(nuspell-exe PROPERTIES RUNTIME_OUTPUT_NAME nuspell)
target_compile_definitions(nuspell-exe PRIVATE
	PROJECT_VERSION=\"${PROJECT_VERSION}\")
target_link_libraries(nuspell-exe PRIVATE Nuspell::nuspell)
if (MSVC)
	target_include_directories(nuspell-exe PRIVATE ${GETOPT_INCLUDE_DIR})
	target_link_libraries(nuspell-exe PRIVATE ${GETOPT_LIBRARY})
endif()
if (BUILD_SHARED_LIBS AND WIN32)
	# This should be PRE_LINK (or PRE_BUILD), so Vcpkg's POST_BUILD
	# step (see VCPKG_APPLOCAL_DEPS) that copies dll can pick up nuspell.dll
	# inside the folder ../tools and copy its transitive dependencies.
	add_custom_command(TARGET nuspell-exe PRE_LINK
	COMMAND ${CMAKE_COMMAND} -E copy_if_different
	        $<TARGET_FILE:nuspell> $<TARGET_FILE_DIR:nuspell-exe>)
endif()
if (NOT subproject)
	install(TARGETS nuspell-exe DESTINATION ${CMAKE_INSTALL_BINDIR})
endif()

=== debian/changelog ===
nuspell (5.1.2-1) unstable; urgency=medium

  * New upstream release. (Closes: #1020967)

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 30 Sep 2022 22:36:33 +0200

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,8 @@
 	, debhelper-compat (= 13)
 	, cmake
 	, libicu-dev
-	, pandoc
 	, catch2
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Section: text
 Homepage: http://nuspell.github.io/
 Vcs-Browser: https://salsa.debian.org/alteholz/nuspell

## nuspell 5.1.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12)
project(nuspell
	VERSION 5.1.4
	DESCRIPTION "Nuspell spellchecking library"
	HOMEPAGE_URL https://nuspell.github.io/
	LANGUAGES CXX)

option(BUILD_SHARED_LIBS "Build as shared library" ON)
option(BUILD_TESTING "Build the testing tree." ON)
option(BUILD_TOOLS "Build the CLI tool." ON)

include(GNUInstallDirs)
include(CMakePackageConfigHelpers)
find_package(ICU 60 REQUIRED COMPONENTS uc data)
get_directory_property(subproject PARENT_DIRECTORY)
add_subdirectory(src/nuspell)

if (MSVC AND (BUILD_TOOLS OR BUILD_TESTING))
	find_path(GETOPT_INCLUDE_DIR getopt.h)
	if (NOT GETOPT_INCLUDE_DIR)
		message(FATAL_ERROR "Can not find getopt.h")
	endif()
	find_library(GETOPT_LIBRARY getopt)
	if (NOT GETOPT_LIBRARY)
		message(FATAL_ERROR "Can not find library getopt")
	endif()
endif()
if (BUILD_TOOLS)
	add_subdirectory(src/tools)
endif()
if (subproject)
	# if added as subproject just build Nuspell
	# no need to test, build docs or install
	return()
endif()

macro(fetch_catch2)
	include(FetchContent)
	FetchContent_Declare(Catch2
		GIT_REPOSITORY https://github.com/catchorg/Catch2.git
		GIT_TAG 3f0283de7a9c43200033da996ff9093be3ac84dc #v3.3.2
	)
        FetchContent_GetProperties(Catch2)
	if(NOT catch2_POPULATED)
		FetchContent_Populate(Catch2)
		set(old_build_shared_libs ${BUILD_SHARED_LIBS})
		set(BUILD_SHARED_LIBS OFF)
		add_subdirectory(${catch2_SOURCE_DIR} ${catch2_BINARY_DIR})
		target_compile_features(Catch2 PRIVATE cxx_std_17)
		list(APPEND CMAKE_MODULE_PATH ${catch2_SOURCE_DIR}/contrib)
		set(BUILD_SHARED_LIBS ${old_build_shared_libs})
	endif()
endmacro()

if (BUILD_TESTING)
	enable_testing()
	find_package(Catch2 3.1.1 QUIET)
	if (NOT Catch2_FOUND)
		fetch_catch2()
	endif()
	add_subdirectory(external/hunspell/hunspell)
	add_subdirectory(tests)
endif()


configure_file(nuspell.pc.in nuspell.pc @ONLY)
#configure_file(NuspellConfig.cmake NuspellConfig.cmake COPYONLY)
write_basic_package_version_file(NuspellConfigVersion.cmake
	COMPATIBILITY AnyNewerVersion)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/nuspell.pc
	DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/NuspellConfig.cmake
	${CMAKE_CURRENT_BINARY_DIR}/NuspellConfigVersion.cmake
	DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/nuspell)
install(FILES README.md DESTINATION ${CMAKE_INSTALL_DOCDIR})

=== debian/changelog ===
nuspell (5.1.4-1build1) noble; urgency=medium

  * No-change rebuild for ICU soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Dec 2023 11:07:32 +0100

nuspell (5.1.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: bump standard to 4.6.2 (no changes)
  * debian/control: add "Rules-Requires-Root: no"

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 01 Nov 2023 23:36:25 +0100

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,12 @@
 	, cmake
 	, libicu-dev
 	, catch2
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Section: text
 Homepage: http://nuspell.github.io/
 Vcs-Browser: https://salsa.debian.org/alteholz/nuspell
 Vcs-Git: https://salsa.debian.org/alteholz/nuspell.git
+Rules-Requires-Root: no
 
 Package: libnuspell-dev
 Section: libdevel

## nuspell 5.1.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.12)
 project(nuspell
-	VERSION 5.1.4
+	VERSION 5.1.6
 	DESCRIPTION "Nuspell spellchecking library"
 	HOMEPAGE_URL https://nuspell.github.io/
 	LANGUAGES CXX)
@@ -8,6 +8,7 @@
 option(BUILD_SHARED_LIBS "Build as shared library" ON)
 option(BUILD_TESTING "Build the testing tree." ON)
 option(BUILD_TOOLS "Build the CLI tool." ON)
+option(BUILD_DOCS "Build the docs." ON)
 
 include(GNUInstallDirs)
 include(CMakePackageConfigHelpers)
@@ -32,6 +33,9 @@
 	# if added as subproject just build Nuspell
 	# no need to test, build docs or install
 	return()
+endif()
+if (BUILD_DOCS)
+	add_subdirectory(docs)
 endif()
 
 macro(fetch_catch2)

=== docs/CMakeLists.txt ===
find_program(PANDOC_EXECUTABLE pandoc)

if (NOT PANDOC_EXECUTABLE)
	message(FATAL_ERROR "Pandoc not found, can not build man-pages. "
		"Either install Pandoc or disable builing the docs with "
		"cmake -DBUILD_DOCS=OFF")
endif()

if (BUILD_TOOLS)
	add_custom_command(OUTPUT nuspell.1
		COMMAND
		${PANDOC_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/nuspell.1.md
		--from=markdown --to=man --standalone --output=nuspell.1
		"--metadata=footer:Nuspell ${PROJECT_VERSION}"
		MAIN_DEPENDENCY ${CMAKE_CURRENT_SOURCE_DIR}/nuspell.1.md
		COMMENT "Building manpage nuspell.1")
	add_custom_target(nuspell-man-pages ALL DEPENDS nuspell.1)
	install(FILES ${CMAKE_CURRENT_BINARY_DIR}/nuspell.1
		DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
endif()

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
-add_executable(unit_test unit_test.cxx catch_main.cxx)
-target_link_libraries(unit_test PRIVATE nuspell Catch2::Catch2)
+add_executable(unit_test unit_test.cxx)
+target_link_libraries(unit_test PRIVATE nuspell Catch2::Catch2WithMain)
 if (MSVC)
 	target_compile_options(unit_test PRIVATE "/utf-8")
 	# Consider doing this for all the other targets by setting this flag

=== src/nuspell/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,5 @@
 add_library(nuspell
+                 defines.hxx
 aff_data.cxx     aff_data.hxx
 checker.cxx      checker.hxx
 suggester.cxx    suggester.hxx
@@ -14,7 +15,7 @@
 generate_export_header(nuspell)
 
 set(nuspell_headers aff_data.hxx checker.hxx suggester.hxx dictionary.hxx
-	finder.hxx structures.hxx unicode.hxx
+	finder.hxx structures.hxx unicode.hxx defines.hxx
 	${CMAKE_CURRENT_BINARY_DIR}/nuspell_export.h)
 set_target_properties(nuspell PROPERTIES
 	PUBLIC_HEADER "${nuspell_headers}"

=== debian/changelog ===
nuspell (5.1.6-1build1) plucky; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 05 Jan 2025 20:27:51 +0100

nuspell (5.1.6-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: bump standard to 4.7.0 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 16 Sep 2024 13:54:17 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,8 @@
 	, cmake
 	, libicu-dev
 	, catch2
-Standards-Version: 4.6.2
+	, pandoc
+Standards-Version: 4.7.0
 Section: text
 Homepage: http://nuspell.github.io/
 Vcs-Browser: https://salsa.debian.org/alteholz/nuspell

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem=cmake

## nuspell 5.1.7

=== docs/CMakeLists.txt ===
if (BUILD_MAN)
	find_program(PANDOC_EXECUTABLE pandoc REQUIRED)

	if (BUILD_TOOLS)
		add_custom_command(OUTPUT nuspell.1
			COMMAND ${PANDOC_EXECUTABLE}
			        ${CMAKE_CURRENT_SOURCE_DIR}/nuspell.1.md
				--standalone --output=nuspell.1
				"--metadata=footer:Nuspell ${PROJECT_VERSION}"
			MAIN_DEPENDENCY ${CMAKE_CURRENT_SOURCE_DIR}/nuspell.1.md
			COMMENT "Building manpage nuspell.1")
		add_custom_target(man_pages ALL DEPENDS nuspell.1)
		install(FILES ${CMAKE_CURRENT_BINARY_DIR}/nuspell.1
			DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
	endif()
endif()

if (BUILD_API_DOCS)
	find_package(Doxygen REQUIRED)

	# Project related configuration options
	set(DOXYGEN_BUILTIN_STL_SUPPORT YES)

	# Build related configuration options
	set(DOXYGEN_HIDE_UNDOC_MEMBERS YES)
	set(DOXYGEN_HIDE_UNDOC_CLASSES YES)

	# Configuration options related to the preprocessor
	set(DOXYGEN_MACRO_EXPANSION YES)
	set(DOXYGEN_EXPAND_ONLY_PREDEF YES)
	set(DOXYGEN_INCLUDE_PATH ${PROJECT_BINARY_DIR}/src/nuspell)
	set(DOXYGEN_PREDEFINED
		NUSPELL_BEGIN_INLINE_NAMESPACE= NUSPELL_END_INLINE_NAMESPACE=
		NUSPELL_EXPORT= NUSPELL_DEPRECATED_EXPORT=) # Define to empty

	# Configuration options related to diagram generator tools
	set(DOXYGEN_DOT_IMAGE_FORMAT svg)

	get_target_property(sources Nuspell::nuspell SOURCES)
	list(TRANSFORM sources PREPEND nuspell/)
	doxygen_add_docs(api_docs ${sources} ALL
		USE_STAMP_FILE
		WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}/src)
	install(DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/html
		DESTINATION ${CMAKE_INSTALL_DOCDIR})
endif()

=== external/hunspell/hunspell/CMakeLists.txt ===
add_library(hunspell affentry.cxx affentry.hxx affixmgr.cxx affixmgr.hxx
    atypes.hxx baseaffix.hxx csutil.cxx csutil.hxx
    filemgr.cxx filemgr.hxx hashmgr.cxx hashmgr.hxx
    htypes.hxx hunspell.cxx hunspell.h hunspell.hxx
    hunzip.cxx hunzip.hxx langnum.hxx hunvisapi.h
    phonet.cxx phonet.hxx replist.cxx replist.hxx
    suggestmgr.cxx suggestmgr.hxx utf_info.hxx w_char.hxx)
set_target_properties(hunspell PROPERTIES
    DEFINE_SYMBOL BUILDING_LIBHUNSPELL
    CXX_VISIBILITY_PRESET hidden)
if (NOT BUILD_SHARED_LIBS)
    target_compile_definitions(hunspell PUBLIC HUNSPELL_STATIC)
endif()
target_include_directories(hunspell INTERFACE ${CMAKE_CURRENT_SOURCE_DIR}/..)
if (MSVC)
    # Suppress some useless warnings
    target_compile_definitions(hunspell PRIVATE _CRT_SECURE_NO_WARNINGS)
    target_compile_options(hunspell PRIVATE /wd4251)
endif()

=== debian/changelog ===
nuspell (5.1.7-1) unstable; urgency=medium

  * New upstream release.

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 14 Feb 2026 13:07:46 +0100

=== debian/rules ===
--- 
+++ 
@@ -7,3 +7,6 @@
 
 %:
 	dh $@ --buildsystem=cmake
+
+override_dh_auto_configure:
+	dh_auto_configure --buildsystem=cmake -- -DBUILD_API_DOCS=OFF
